Eccube\Entity\MailTemplate:
    type: entity
    table: dtb_mail_template
    repositoryClass: Eccube\Repository\MailTemplateRepository
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            id: true
            column: template_id
            generator:
                strategy: AUTO
    fields:
        name:
            type: text
            nullable: true
        file_name:
            type: text
            nullable: true
        subject:
            type: text
            nullable: true
        header:
            type: text
            nullable: true
        footer:
            type: text
            nullable: true
        del_flg:
            type: smallint
            nullable: false
            unsigned: false
            options:
                default: '0'
        create_date:
            type: datetime
            nullable: false
        update_date:
            type: datetime
            nullable: false
    manyToOne:
        Creator:
            targetEntity: Eccube\Entity\Member
            joinColumn:
                name: creator_id
                referencedColumnName: member_id
                nullable: false
    lifecycleCallbacks: {  }
